Reviews
List reviews
Developer API operation for GET /dev/v1/reviews.
GET
/
dev
/
v1
/
reviews
List reviews
curl --request GET \
--url https://api.shoppex.io/dev/v1/reviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "fb_1",
"uniqid": "rev_1",
"shop_id": "shop_1",
"invoice_id": "inv_1",
"product_id": "prod_starter",
"message": "Fast delivery and clear instructions.",
"reply": "Thanks for the feedback.",
"rating": 5,
"is_automated": false,
"title": null,
"product_title": "Starter Pack",
"customer_email": "[email protected]",
"customer_name": "Berlin Buyer",
"replied_at": 1711969200,
"is_approved": true,
"created_at": 1711962000,
"updated_at": 1711969200
}
],
"pagination": {
"next_cursor": null,
"has_more": false
}
}⌘I
List reviews
